library swg.config.ui.angular.component.customer_building_blocks;


import 'dart:html';
import 'package:angular/angular.dart';
import 'package:swg_config_ui_angular/src/common/locale.dart';
import 'package:tw_portal/portal.dart';
import 'package:tw_ui_angular/tw_ui_angular.dart';

@Component(selector: 'twa-swg-customer-settings',
    templateUrl: 'customer_settings.html',
    styleUrls: const ['customer_settings.css'],
    pipes: const [InterpretPipe],
    exports: const [SwgConfigLocaleInfo],
    directives: const [twaDirectives],
    providers: const [const Provider(ComponentService, useFactory: getComponentService),
    const Provider(ComponentBase, useExisting: CustomerSettingsComponent)]
)
class CustomerSettingsComponent extends PortalComponent {

  final Logger _log = new Logger("CustomerSettingsComponent");

  CustomerSettingsComponent(ComponentService cmpSvc) : super(cmpSvc);

  String activeTab = "general";
}